## Index

### Enumerations

- SimilarityMetric

### Classes

- FeatureEmbedding

### Type aliases

- FeatureToId
- IdToFeature
- LabeledWeight
- LabeledWeights
- SimilarFeature
- SimilarFeatureOptions
- SimilarFeatures

## Type aliases

### FeatureToId

FeatureToId: {}

- Defined in src/feature_embedding.ts:12

#### Type declaration

- ##### [index: string]: number

### IdToFeature

IdToFeature: {}

- Defined in src/feature_embedding.ts:11

#### Type declaration

- ##### [index: number]: string | number

### LabeledWeight

LabeledWeight: {}

- Defined in src/feature_embedding.ts:8

#### Type declaration

- ##### [index: string]: Matrix

### LabeledWeights

LabeledWeights: {}

- Defined in src/feature_embedding.ts:481

#### Type declaration

- ##### [index: string]: Vector

### SimilarFeature

SimilarFeature: { comparedFeature: string; distance: number; proximity: number }

- Defined in src/feature_embedding.ts:495

#### Type declaration

- ##### comparedFeature: string

- ##### distance: number

- ##### proximity: number

### SimilarFeatureOptions

SimilarFeatureOptions: { features?: string[]; labeledWeights?: LabeledWeights; limit?: undefined | number; metric?: SimilarityMetric }

- Defined in src/feature_embedding.ts:488

#### Type declaration

- ##### Optional features?: string[]

- ##### Optional labeledWeights?: LabeledWeights

- ##### Optional limit?: undefined | number

- ##### Optional metric?: SimilarityMetric

### SimilarFeatures

SimilarFeatures: {}

- Defined in src/feature_embedding.ts:494

#### Type declaration

- ##### [index: string]: SimilarFeature[]